{{- $_ := set .Values.deploymentConfig "app" .Values.name }}
{{- $_ = set .Values.deploymentConfig "tpl" .Values.global.app }}

{{ include "library.deploymentConfigTpl" .Values.deploymentConfig }}
  template:
    {{ include "library.metadata" .Values.deploymentConfig | indent 4}}
      annotations:
        checksum/config: {{ include (print $.Template.BasePath "/configMap.yaml") . | sha256sum }}
    spec:
      containers:
      - command:
        - redis-server
        - /redis-master/redis.conf
        name: cache
        image: 'redis:5.0.7'
        env:
        - name: TZ
          value: "Europe/Zurich"
        ports:
        - containerPort: 6379
          name: tcp
        volumeMounts:
          - mountPath: /redis-master-data
            name: data
          - mountPath: /redis-master
            name: config
        readinessProbe:
          exec:
            command:
            - sh
            - -c
            - "redis-cli -h $(hostname) ping"
          initialDelaySeconds: 15
          timeoutSeconds: 5
        resources:
          limits:
            cpu: 500m
            memory: 750Gi
          requests:
            memory: 500Mi
      volumes:
        - emptyDir: {}
          name: data
        - configMap:
            defaultMode: 420
            items:
              - key: data
                path: redis.conf
            name: {{ .Values.configMap.name }}
          name: config